{% if psTitreColNom is not defined %}
	{% if psType_Res == "AB" %}
		{% set psTitreColNom = 'Activité de base' %}
	{% else %}
		{% set psTitreColNom = 'Nom' %}
	{% endif %}
{% endif %}
{% if pbAfficheCapacité is not defined %}
	{% if psType_Res == "I" or psType_Res == "S" %}
		{% set pbAfficheCapacité  = true %}
	{% else %}
		{% set pbAfficheCapacité = false %}
	{% endif %}
{% endif %}
{% block Grille %}

    <div class="LGDataTablesCoche" style="margin-left: 10px;"id="DataTables_{{psNomType_Res}}">
        <div id = "entityFormBaseGrille_DataTableInfos"></div>
{#        <table id="entityFormBaseGrille_DataTable_{{psNomType_Res}}" class="display" cellspacing="0" width="100%" style="height:250px;" >#}
        <table id="entityFormBaseGrille_DataTable_{{psNomType_Res}}" class="display" cellspacing="0" width="100%" style="" >
            <thead>
                <tr id="entityFormBaseGrille_DataTableTitres"> <!-- iTable_Form_titres -->
                    {% block datatable_title %}
                        <th id="trier" style="display: none"></th>
                        <th id="selectionner">
                            <input type="checkbox" name="actiBasesCompétences_ToggleAllCompétences_{{psType_Res}}" class="EFControl" value="1" 
                                   id="RéIdentifiéParJavaScript-select-all-{{psType_Res}}"
                                   />
                        </th>
                        <th id="cType_Res" style="display: none">cType_Res</th>
                        <th id="iid_Res" style="display: none">iId_Res</th>
                        <th id="iId_ActiBase" style="display: none">iId_ActiBase</th>
                        <th id="iId_ActiSousGroupe" style="display: none">iId_ActiSousGroupe</th>
                        <th id="iId_ActiGroupe" style="display: none">iId_ActiGroupe</th>
                        <th id="cnom">{{psTitreColNom}}</th>
                        {% if pbAfficheCapacité %}
                        <th id="capacité">Capacité</th>
                        {% endif %}
                    {% endblock %}
                </tr>
            </thead>
            <tbody>
                {% block datatable_body %}
                    {% if poListeRes is defined  %}
                        {% set iRow = 0 %}
                        {% for row in poListeRes %}
                            <tr>
                                <td id ="row_{{ iRow|raw }}_tri" style="display: none">{{ row.lcompetent?0:1 }} {{ psType_Res }} {{ row.cnom }}</td>
                                {% if(row.lcompetent is defined) %}
                                    <td id ="row_{{ iRow|raw }}_selectionner">
                                        <input class="EFControl" 
                                               type="checkbox" 
{#LG 20200824 déplacé dans le if                                               id = "Coche{{psType_Res }}_{{ row.iid_res }}" #}
                                             {% if(psType_Res == "C") %}
{#                                                Traitement des compétences d'une ressources#}
{#LG 20200824 déplacé de avant le if#}         id = "Coche{{psType_Res }}_{{ row.iid_actibase }}" 
                                               name="Coche{{psType_Res}}_{{ row.iid_actibase }}" 
                                               value="{{ row.iid_actibase }}" 
                                            {% else %}
{#                                                Traitement des ressources compéentes pour une activité de base#}
{#LG 20200824 déplacé de avant le if#}         id = "Coche{{psType_Res }}_{{ row.iid_res }}" 
                                               name="Coche{{psType_Res }}_{{ row.iid_res }}" 
                                               value="{{ row.iid_res }}" 
                                            {% endif %}
                                            {% if(row.lcompetent) %}
                                               checked
                                            {% endif %}
                                               >
                                        <label hidden>1</label>
                                    </td>
                                {% else %}
                                    <td></td>
                                {% endif %}
                                <td id ="row_{{ iRow|raw }}_cType_Res" class="test" style="display: none" name="row_{{ iRow|raw }}_cType_Res">{{ psType_Res }}</td>
                                <td id ="row_{{ iRow|raw }}_iid_res" style="display: none" name="row_{{ iRow|raw }}_iid_res"> {{ row.iid_res }} </td>
                                <td id ="row_{{ iRow|raw }}_iid_actibase" class="test" style="display: none" name="row_{{ iRow|raw }}_iid_actibase"> {{ row.iid_actibase}} </td>
                                <td id ="row_{{ iRow|raw }}_iid_actisousgroupe" class="test" style="display: none" name="row_{{ iRow|raw }}_iid_actisousgroupe"> {{ row.iid_actisousgroupe}} </td>
                                <td id ="row_{{ iRow|raw }}_iid_actigroupe" class="test" style="display: none" name="row_{{ iRow|raw }}_iid_actisousgroupe"> {{ row.iid_actigroupe}} </td>
                                <td id ="row_{{ iRow|raw }}_cnom"> {{ row.cnom }} </td>
                                {% if pbAfficheCapacité %}
                                <td id ="row_{{ iRow|raw }}_capacité">auto</td>     
                                {% endif %}
                            </tr>
                            {% set iRow = iRow + 1%}
                        {% endfor %}
                    {% endif %}
                {% endblock %}
            </tbody>
        </table>
        <div class="d-none">
            <div id='{{ psNomType_Res }}_Info' class='col-md-6' style='padding-top: 0.755em;'></div>
            <div class='col-md-3'></div>
            <div id='{{ psNomType_Res }}_Filter' class='col-md-3 hidden' style='padding-top: 0.755em;'></div>
        </div>
        
    </div>
{# LG 20200911 déac    <div id="example-console">
    </div>
#}{% endblock %}

<link type="text/css" href="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/css/dataTables.checkboxes.css" rel="stylesheet" />
<script type="text/javascript" src="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/js/dataTables.checkboxes.min.js"></script>
<script>

    $(document).ready(actiBasesCompétences_Onglets_DocumentReady);
    function actiBasesCompétences_Onglets_DocumentReady() {

        var lsNomEntité = "{{ psNomType_Res }}";
        tmp_onLGDataTableInitComplete = function (poLGDataTable) {
// LG 20200824 début
            // Inexplicablement, l'en-tête est dupliqué, le second étant de hauteur nulle
            // Du coup la case à cocher "Sélectionner tout" est aussi dupliquée
            var laDoublons = $("tr[id=entityFormBaseGrille_DataTableTitres]") ;
            if (laDoublons.length > 1) {
// debugger ;
                if ($(laDoublons[1]).css("height") == "0px") {
                    // L'en-tête en doublon est le N°1 (le plus fréquent ?)
// DataTable ne veut pas supprimer cet en-tête en double : il le recrée automatiquement                    $(laDoublons[1]).remove() ;
// De même, DataTable reconstruit le header en double après le InitComplete, et mettre à vide l'Id du doublon ne fonctionne pas                  $(laDoublons[1]).find("#select-all-C").attr("id", "") ;
// La solution est donc de nonner par défaut un mauvais Id, puis de le corriger par l'Id correct sur celui des doublons de la case à cocher qui doit rester visible
                    $(laDoublons[0]).find("#RéIdentifiéParJavaScript-select-all-{{psType_Res}}").attr("id", "select-all-{{psType_Res}}") ;
                    console.log("Doublon de entityFormBaseGrille_DataTableTitres détecté et corrigé (cas N°1)") ;
                    
                } else if ($(laDoublons[0]).css("height") == "0px") {
                    // L'en-tête en doublon est le N°0
                    $(laDoublons[1]).find("#RéIdentifiéParJavaScript-select-all-{{psType_Res}}").attr("id", "select-all-{{psType_Res}}") ;
                    console.log("Doublon de entityFormBaseGrille_DataTableTitres détecté et corrigé (cas N°2)") ;
                    
                } else {
                    console.error("Doublon de entityFormBaseGrille_DataTableTitres détecté mais non corrigé") ;
                }
            }
            
            // Handle click on "Select all" control
            $('#select-all-{{ psType_Res }}').on('click', function () {
                // Check/uncheck all checkboxes in the table
                actiBasesCompétences_ToggleAllCompétences('{{ psNomType_Res }}', this);
            });

// LG 20200824 fin
                  
        };

        // Construire la datatable
        LGDataTable_initGrille("entityFormBaseGrille_DataTable_{{ psNomType_Res }}", lsNomEntité, {}, tmp_onLGDataTableInitComplete);

        // Handle click on checkbox to set state of "Select all" control
		$('#entityFormBaseGrille_DataTable_{{ psNomType_Res }} tbody').on('change', 'input[type="checkbox"]', function () {
            // If checkbox is not checked
            actiBasesCompétences_ToggleCompétence('{{ psNomType_Res }}', this);
        });

		// Handle click on "Select all" control
		$('#select-all-{{ psType_Res }}').on('click', function () {
			// Check/uncheck all checkboxes in the table
			actiBasesCompétences_ToggleAllCompétences('{{ psNomType_Res }}', this);
		});
    }
</script>
